#
# spec file for package lapack (Version 3.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  f2c g77 tcsh
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs f2c file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcsh texinfo textutils timezone unzip util-linux vim

Name:         lapack
Summary:      Linear Algebra Package
Version:      3.0
Release:      310
Copyright: Freely distributable
Group:	 Development/Libraries
Source0: lapack-%{version}.tar.bz2
Source1: manpages.tar.bz2
Patch:	lapack-%{version}.dif
URL: http://www.netlib.org/lapack/
Requires:	blas
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:	g77 f2c tcsh

%description
LAPACK provides routines for solving systems of simultaneous linear equations, least-squares solutions of linear systems of equations, eigenvalue problems, and singular value problems. The associated matrix factorizations (LU, Cholesky, QR, SVD, Schur, generalized Schur) are also provided, as are related computations such as reordering of the Schur factorizations and estimating condition numbers. Dense and banded matrices are handled, but not general sparse matrices. In all areas, similar functionality is provided for real and complex matrices, in both single and double precision.

Authors:
--------
    Jack Dongarra <lapack@cs.utk.edu>

SuSE series: beo

%package -n blas
Summary:      Basic Linear Algebra Subprograms
Group: Development/Libraries

%description -n blas
BLAS (Basic Linear Algebra Subprograms) is a standard library for
numerical algebra.  BLAS provides a number of basic algorithms for
linear algebra. BLAS is fast and well-tested, was written in FORTRAN
77 and build with egcs. BLAS manual pages are available in the
blasman package.

Authors:
--------
    UTK <lapack@cs.utk.edu>

SuSE series: beo

%package -n blasman
Summary:      The blasman package contains documentation for BLAS (Basic Linear
Group: Documentation

%description -n blasman
The blasman package contains documentation for BLAS (Basic Linear
Algebra Subprograms) routines, in the form of man pages.

Authors:
--------
    UTK <lapack@cs.utk.edu>

SuSE series: beo

%package manpages
Summary:      Manpages for LAPACK
Group: Documentation

%description manpages
Manpages for LAPACK

Authors:
--------
    Lapack team<lapack@cs.utk.edu>

SuSE series: beo

%prep
%setup -q -a 1 
%patch

%build
( 
cd BLAS/SRC
FFLAGS="$RPM_OPT_FLAGS" make static 
make clean
FFLAGS="$RPM_OPT_FLAGS -fPIC" make shared 
)
(
cd SRC
FFLAGS="$RPM_OPT_FLAGS" make static
make clean
FFLAGS="$RPM_OPT_FLAGS -fPIC" make shared
)
make tmglib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/lib
make install-libs DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3
function CopyFile {
        NEW_FILENAME=$(basename $1 .l).3
        cp  $1 $RPM_BUILD_ROOT%{_mandir}/man3/$NEW_FILENAME
}
for MANFILE in blas/man/manl/*.l; do
        CopyFile $MANFILE
done
for MANFILE in man/manl/*.l; do
        CopyFile $MANFILE
done
rm -f  man/manl/removeline
echo "%defattr(-, root, root)" > blasmans 
find blas/man/manl -type f -printf "%{_mandir}/man3/%f\n" |  sed -e 's/.l$/.3.gz/'  > blasmans
echo "%defattr(-, root, root)" > lapackmans 
find man/manl -type f -printf "%{_mandir}/man3/%f\n"  |  sed -e 's/.l$/.3.gz/' > lapackmans

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/lib/liblapack.*
/usr/lib/libtmglib.*

%files -n blas
%defattr(-,root,root)
/usr/lib/libblas.*

%files -n blasman -f blasmans
%defattr(-,root,root)

%files manpages -f lapackmans
%defattr(-,root,root)

%changelog -n lapack
* Mon Sep 17 2001 - nashif@suse.de
-  Fixed bug #9925, adding blas to required packages.
* Tue May 08 2001 - nashif@suse.de
-  Fixed bug #6803
* Thu Feb 08 2001 - sf@suse.de
- compile with '-01' for IA64 due to 'internal compiler error' in g77
* Mon Nov 06 2000 - nashif@suse.de
-  Fixed bug of missing objects (#4028)
* Sat Apr 22 2000 - nashif@suse.de
-  Applied new patches
-  Modified group, url and files in spec
* Mon Feb 21 2000 - nashif@suse.de
-   Applied new patches
* Tue Jan 18 2000 - nashif@suse.de
-   Applied new patched
-   Moved manpages to /usr/share/man
* Thu Dec 23 1999 - nashif@suse.de
-    Update to latest version
-    Package split lapack + blas
* Thu Oct 07 1999 - nashif@suse.de
- Package split: man pages + libraries
* Wed Sep 22 1999 - nashif@suse.de
- New package: LAPACK
  Linear Algebra Package (LAPACK)
